### Method

# GLib AsyncQueue push_unlocked

#### Declaration

    void
    g_async_queue_push_unlocked (
      GAsyncQueue* queue,
      gpointer data
    )

#### Description

Pushes the `data` into the `queue`.

The `data` parameter must not be `NULL`.

This function must be called while holding the `queue`‘s lock.

#### Parameters

`data`

  Type: `gpointer`

  Data to push onto the `queue`.

  The data is owned by the caller of the method.